=== debian/changelog ===
dot-forward (1:0.71-5) unstable; urgency=medium

  * QA upload.
  * Bump version to 1:0.71-5 to not reuse a version number that was used
    before the epoch was added (last pre-epoch upload was 0.71-4). This avoids
    clashes on filenames in the archive (versions in filenames don't include
    the epoch).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 May 2019 01:50:05 +0200

dot-forward (1:0.71-3) unstable; urgency=medium

  * QA upload.
  * Set package maintainer to QA Group
  * wrap-and-sort -sta
  * Update standards version to 4.2.1 (no changes needed)
  * Update Vcs-* fields in `debian/control'
  * Convert package to 3.0 source format and debhelper
  * Do not install documentation, not informative for end user
  * Replace deprecated priority `extra' with `optional'
  * Ensure manpage section matches its install path
  * Add Homepage field into `debian/control'

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 11 Jan 2019 20:46:13 +0000

dot-forward (1:0.71-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS ("cannot read [...] usr/sbin/*"); we don't install anything to
    sbin, so use Make's $(wildcard ..) over the shell's "*". (Closes: #855275)

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Feb 2017 14:07:22 +1300

dot-forward (1:0.71-2.1) unstable; urgency=medium

  * Non-maintainer upload with permission.
  * Make the build reproducible by passing "-n" switch to gzip.
    (Closes: #776760)

 -- Chris Lamb <lamby@debian.org>  Mon, 19 Sep 2016 09:52:56 +0100

dot-forward (1:0.71-2) unstable; urgency=low

  * debian/rules: install dot-forward.1 manpage as dot-forward.1qmail to
    resolve conflict with the courier-mta package (closes: #620396).
  * debian/control: Standards-Version: 3.9.3.1.

 -- Gerrit Pape <pape@smarden.org>  Wed, 11 Apr 2012 23:31:32 +0000

dot-forward (1:0.71-1) unstable; urgency=low

  * debian/rules: remove target configure:; use glibc by default instead
    of dietlibc; new target patch: apply diff from debian/diff/; install
    into /var/lib/qmail/ instead of /var/qmail/; target binary-arch: run
    dpkg-shlibdeps; target clean: remove debian/substvars; target build:
    set conf-qmail, restore orig in target clean:.
  * debian/diff/0001-error.h-include-errno.h-instead-of-extern-int.diff:
    new: error.h: '#include <errno.h>' instead of 'extern int errno;'.
  * debian/implicit: update to revision a09db2e.
  * debian/control: no longer Build-Depends: dietlibc-dev; no longer
    Depends: qmail, but Recommends:; Depends: ${shlibs:Depends};
    Build-Depends: groff-base; Standards-Version: 3.7.3.0.
  * debian/dot-forward.docs: remove INSTALL.
  * debian/control: update short and long descriptions.
  * debian/dot-forward.README.Debian: redo.
  * debian/copyright: upstream sources and debian diff is in the public
    domain.
  * debian/gcc/: remove; obsolete.
  * debian/changelog: add epoch 1 to supersede unofficial package.
  * upload to Debian/main (closes: #484763).

 -- Gerrit Pape <pape@smarden.org>  Mon, 09 Jun 2008 20:52:11 +0000

dot-forward (0.71-zarge2) sarge; urgency=low

  * build against sarge's dietlibc-dev (0.28-3).

 -- Gerrit Pape <pape@smarden.org>  Thu, 26 May 2005 18:55:38 +0000

dot-forward (0.71-zarge1) sarge; urgency=low

  * debian/rules: minor cleanup.
  * debian/implicit: update to revision 1.10.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Aug 2004 16:18:52 +0000

dot-forward (0.71-zarge0.3) sarge; urgency=low

  * debian/control: no longer Build-Depends: dephelper; remove
    Standards-Version.
  * debian/rules: stop using debhelper, use implicit rules.
  * debian/implicit: new; implicit Makefile rules.
  * debian/README.Debian, debian/docs: rename to dot-forward.*.
  * debian/dirs, debian/links.in: remove; obsolete.
  * debian/copyright: minor.

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 Apr 2004 13:53:28 +0000

dot-forward (0.71-zarge0.2) sarge; urgency=low

  * use diet libc.
  * debian/rules: new target configure: set up diet program as c compiler
    wrapper; conditionally overwrite PATH to have diet program used as c
    compiler wrapper; minor cleanup.
  * debian/gcc/gcc*: new; diet program as c compiler wrapper.
  * debian/control: Build-Depends: dietlibc-dev; no longer Depends:
    ${shlibs:Depends}.

 -- Gerrit Pape <pape@smarden.org>  Wed, 12 Nov 2003 12:47:14 +0000

dot-forward (0.71-woody1) woody; urgency=low

  * bump version for release.

 -- Gerrit Pape <pape@smarden.org>  Tue,  9 Jul 2002 11:05:17 +0200

dot-forward (0.71-woody0.2) woody; urgency=low

  * debian/rules: use numeric uids and gids to avoid build-dependency
    on qmail-uids-gids.

 -- Gerrit Pape <pape@smarden.org>  Thu, 28 Mar 2002 10:30:59 +0100

dot-forward (0.71-woody0.1) woody; urgency=low

  * woody package; new Standards-Version: 3.5.2.

 -- Gerrit Pape <pape@smarden.org>  Tue, 23 Oct 2001 15:32:46 +0200

dot-forward (0.71-1) stable; urgency=low

  * 1st debian version, no other changes.

 -- Gerrit Pape <pape@innominate.com>  Thu,  1 Feb 2001 09:54:42 +0100

dot-forward (0.71-0.3) unstable; urgency=low

  * cleanup.

 -- Gerrit Pape <pape@innominate.com>  Mon, 18 Dec 2000 15:26:39 +0100

dot-forward (0.71-0.2) unstable; urgency=low

  * Documentation.
  * binaries moved to /usr/{bin,sbin} and linked back to /var/qmail/bin/.

 -- Gerrit Pape <pape@innominate.de>  Tue,  2 May 2000 09:20:33 +0200

dot-forward (0.71-0.1) unstable; urgency=low

  * Initial Release.

 -- Gerrit Pape <pape@innominate.de>  Tue, 18 Apr 2000 18:09:29 +0200

Local variables:
mode: debian-changelog
End:
