=== debian/control ===
Source: dot-forward
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 groff-base,
 debhelper-compat (= 11)
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/dot-forward.git
Vcs-Browser: https://salsa.debian.org/debian/dot-forward
Homepage: http://cr.yp.to/software/dot-forward.html

Package: dot-forward
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 qmail (>> 1.06),
Description: reads sendmail's .forward files under qmail
 It runs in the qmail startup script to support all your existing .forward
 files automatically.  Individual users can switch to the .qmail mechanism
 at their leisure.
 .
 dot-forward supports forwarding, program deliveries, and comments.  It
 does not support file deliveries or :include: (However, it recognizes
 file delivery attempts, and defers delivery to give you a chance to set up
 a .qmail file).
