=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)

%:
	dh $@

override_dh_auto_configure:
	echo $(CC) $(CFLAGS) $(CPPFLAGS) > conf-cc
	echo $(CC) $(LDFLAGS)            > conf-ld
	echo /var/lib/qmail              > conf-qmail

# Do not use upstream build system, install via debhelper.
override_dh_auto_install:
override_dh_auto_test:
